local cv_noitemcollision = CV_RegisterVar {
    name = "noitemcollision",
    defaultvalue = "Off",
    possiblevalue = CV_OnOff,
    flags = CV_NETVAR,
}

local function set(arr)
    local s = {}

    for _, v in ipairs(arr) do s[v] = true end

    return s
end
local mobjs = set {
    MT_BANANA,
    MT_BANANA_SHIELD,

    MT_EGGMANITEM,
    MT_EGGMANITEM_SHIELD,

    MT_ORBINAUT,
    MT_ORBINAUT_SHIELD,

    MT_JAWZ,
    MT_JAWZ_SHIELD,
    MT_JAWZ_DUD,

    MT_MINEEXPLOSION,
    MT_SSMINE,
    MT_SSMINE_SHIELD,

    MT_BALLHOG,

    MT_SPB,
    MT_SPBEXPLOSION,

    MT_THUNDERSHIELD,

    MT_SINK,
}

local function nocollide(pmo, mo)
    if cv_noitemcollision.value == 0 then return end
    if server.SPBArunning then return end
    if mo and mo.valid and mobjs[mo.type] then return false end
end

addHook("MobjCollide", nocollide, MT_PLAYER)
addHook("MobjMoveCollide", nocollide, MT_PLAYER)
